Package com.sas.lsaf.workflow.task

## Class UserTaskDetails

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.workflow.element.Element
    - - com.sas.lsaf.workflow.task.Task
      - - com.sas.lsaf.workflow.task.UserTask
        - - com.sas.lsaf.workflow.task.UserTaskUpdateInfo
          - - com.sas.lsaf.workflow.task.UserTaskDetails

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`

      public class UserTaskDetails
      extends UserTaskUpdateInfo

  The class that represents a user task in a process flow with additional details, which includes data properties and task assignment.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sas.lsaf.workflow.task.Task

      `Task.Complexity, Task.Priority, Task.TaskStatus`

    - ### Nested classes/interfaces inherited from class com.sas.lsaf.workflow.element.Element

      `Element.ElementType`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UserTaskDetails​(UserTask userTask, java.util.Set<Principal> candidates, java.util.Set<DataProperty> completionProperties, java.util.Set<UserTaskAssignment> taskAssignmentHistory)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<UserTaskAssignment>` | `getTaskAssignmentHistory()` | Gets the assignment history of the user task.

    - ### Methods inherited from class com.sas.lsaf.workflow.task.UserTaskUpdateInfo

      `getCandidates, getCompletionProperties, setCandidates, setCompletionProperties`

    - ### Methods inherited from class com.sas.lsaf.workflow.task.UserTask

      `getActualHours, getAssigned, getAssignee, getComplexity, getDueDate, getPriority, setActualHours, setAssignee, setComplexity, setDueDate, setPriority, toString`

    - ### Methods inherited from class com.sas.lsaf.workflow.task.Task

      `getAttributes, getStarted, getTaskStatus, setAttributes`

    - ### Methods inherited from class com.sas.lsaf.workflow.element.Element

      `equals, getCreated, getDescription, getElementId, getFlowStatus, getName, getProcessFlowId, getType, hashCode, setDescription, setName`

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserTaskDetails

          public UserTaskDetails​(UserTask userTask,
                                 java.util.Set<Principal> candidates,
                                 java.util.Set<DataProperty> completionProperties,
                                 java.util.Set<UserTaskAssignment> taskAssignmentHistory)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the user task details returned by the API.
      Parameters:
        `userTask` - The user task with the base properties.
        `candidates` - The candidates for the user task.
        `completionProperties` - The completion properties of the task.
        `taskAssignmentHistory` - The assignment history of the task.

  - ### Method Detail

    - #### getTaskAssignmentHistory

          public java.util.Set<UserTaskAssignment> getTaskAssignmentHistory()

      Gets the assignment history of the user task.
      Returns:
        The assignment history.